from django.contrib import admin

from . import models

class MovieVoteInline(admin.StackedInline):
    model = models.MovieVote()

class MovieAdmin(admin.ModelAdmin):
    fields = [
        "name", "watched", "suggested_by", "score"
    ]
    readonly_fields = ("score",)
    list_display = ["name", "watched", "suggested_by", "score"]

    @admin.display(description="Score")
    def score(self, instance):
        return instance.score


admin.site.register(models.Movie, MovieAdmin)
